Subject: Re: [PATCH v7 2/6] fast-import: put marks reading in it's own function

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 12 Sep 2009 11:47:06 -0700

Sverre Rabbelier <[email-masked]> wrote:
> All options do nothing but set settings, with the exception of the
> --input-marks option. Delay the reading of the marks file till after
> all options have been parsed.
...
> diff --git a/fast-import.c b/fast-import.c
> index b904f20..812fcf0 100644
> --- a/fast-import.c
> +++ b/fast-import.c
> @@ -315,6 +315,7 @@ static struct object_entry_pool *blocks;
>  static struct object_entry *object_table[1 << 16];
>  static struct mark_set *marks;
>  static const char *mark_file;
> +static const char *input_file;

Sorry I didn't notice this earlier in the series, but input_file
is too generic of a name for a global in this program.  Its *not*
the input stream, and I fear that it might be confused as such.

Likewise now mark_file is also confusing.  I would suggest renaming
these two:
  
  static const char *export_marks_file;
  static const char *import_marks_file;

-- 
Shawn.